[arch-commits] Commit in sane/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun May 10 18:17:32 EDT 2009


    Date: Sunday, May 10, 2009 @ 18:17:32
  Author: jgc
Revision: 38932

Merged revisions 38931 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/sane/trunk

........
  r38931 | jgc | 2009-05-10 22:17:15 +0000 (Sun, 10 May 2009) | 2 lines
  
  upgpkg: sane 1.0.20-2
      Fix doc path
........

Modified:
  sane/repos/extra-x86_64/	(properties)
  sane/repos/extra-x86_64/PKGBUILD
  sane/repos/extra-x86_64/sane.install

--------------+
 PKGBUILD     |   35 +++++++++++++++++------------------
 sane.install |    4 ----
 2 files changed, 17 insertions(+), 22 deletions(-)


Property changes on: sane/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /sane/trunk:1-38589
   + /sane/trunk:1-38931

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-10 22:17:15 UTC (rev 38931)
+++ extra-x86_64/PKGBUILD	2009-05-10 22:17:32 UTC (rev 38932)
@@ -4,7 +4,7 @@
 
 pkgname=sane
 pkgver=1.0.20
-pkgrel=1
+pkgrel=2
 pkgdesc="Scanner Access Now Easy"
 arch=(i686 x86_64)
 license=('GPL')
@@ -15,28 +15,27 @@
 install=$pkgname.install
 backup=(etc/sane.d/{abaton.conf,agfafocus.conf,apple.conf,artec.conf,artec_eplus48u.conf,avision.conf,bh.conf,canon.conf,canon630u.conf,canon_dr.conf,canon_pp.conf,cardscan.conf,coolscan2.conf,coolscan3.conf,coolscan.conf,dc25.conf,dc210.conf,dc240.conf,dell1600n_net.conf,dll.conf,dmc.conf,epjitsu.conf,epson.conf,epson2.conf,fujitsu.conf,genesys.conf,gphoto2.conf,gt68xx.conf,hp.conf,hp3900.conf,hp4200.conf,hp5400.conf,hpsj5s.conf,hs2p.conf,ibm.conf,leo.conf,lexmark.conf,ma1509.conf,matsushita.conf,microtek.conf,microtek2.conf,mustek.conf,mustek_pp.conf,mustek_usb.conf,nec.conf,net.conf,pie.conf,pixma.conf,plustek.conf,plustek_pp.conf,qcam.conf,ricoh.conf,rts8891.conf,s9036.conf,saned.conf,sceptre.conf,sharp.conf,sm3840.conf,snapscan.conf,sp15c.conf,st400.conf,stv680.conf,tamarack.conf,teco1.conf,teco2.conf,teco3.conf,test.conf,u12.conf,umax.conf,umax1220u.conf,umax_pp.conf,xerox_mfp,v4l.conf} etc/xinetd.d/sane)
 options=(!libtool)
+md5sums=('a0cfdfdebca2feb4f2ba5d3418b15a42'
+         'da946cc36fb83612162cf9505986d4b2')
 
 build() {
-  cd $startdir/src/$pkgname-backends-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-docdir=/usr/share/doc --enable-avahi
+  cd "${srcdir}/${pkgname}-backends-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-docdir=/usr/share/doc/sane --enable-avahi || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
   # fix hp officejets
-  echo "#hpaio" >> $startdir/pkg/etc/sane.d/dll.conf
+  echo "#hpaio" >> "${pkgdir}/etc/sane.d/dll.conf" || return 1
   # install udev files
-  cd $startdir/src
-  install -D -m0644 $startdir/src/$pkgname-backends-$pkgver/tools/udev/libsane.rules \
-			 $startdir/pkg/lib/udev/rules.d/53-sane.rules
+  install -D -m0644 tools/udev/libsane.rules \
+    "${pkgdir}/lib/udev/rules.d/53-sane.rules" || return 1
   # fix group on /var/lock
-  mkdir -p $startdir/pkg/var/lock/sane
-  chgrp 0 $startdir/pkg/var
-  chmod 755 $startdir/pkg/var
-  chmod 1777 $startdir/pkg/var/lock
-  chgrp 0 $startdir/pkg/var/lock
-  chmod 775 $startdir/pkg/var/lock/sane
-  chgrp 96 $startdir/pkg/var/lock/sane
+  mkdir -p "${pkgdir}/var/lock/sane"
+  chgrp 0 "${pkgdir}/var"
+  chmod 755 "${pkgdir}/var"
+  chmod 1777 "${pkgdir}/var/lock"
+  chgrp 0 "${pkgdir}/var/lock"
+  chmod 775 "${pkgdir}/var/lock/sane"
+  chgrp 96 "${pkgdir}/var/lock/sane"
   # install xinetd file
-  install -D -m644 $startdir/src/sane.xinetd $startdir/pkg/etc/xinetd.d/sane
+  install -D -m644 "${srcdir}/sane.xinetd" "${pkgdir}/etc/xinetd.d/sane"
 }
-md5sums=('a0cfdfdebca2feb4f2ba5d3418b15a42'
-         'da946cc36fb83612162cf9505986d4b2')

Modified: extra-x86_64/sane.install
===================================================================
--- extra-x86_64/sane.install	2009-05-10 22:17:15 UTC (rev 38931)
+++ extra-x86_64/sane.install	2009-05-10 22:17:32 UTC (rev 38932)
@@ -18,7 +18,3 @@
 pre_remove() {
   usr/sbin/groupdel scanner &>/dev/null
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list